/* Mega krasser automatischer Youtube Downloader*/


Say "Welchen Song wuerdest Du gerne Downloaden?" --fragt nach dem Songnamen, den man runterladen will

parse pull songname -- speichert den Songnamen unter 'songname' ab

/* Es wird ein Internet Explorer Object erstellt, mit Width = 1920, Height = 1080 und natürlich ist der Explorer auch sichtbar*/
explorer = .OLEObject~New("InternetExplorer.Application")
Explorer~Width = 1920
Explorer~Height = 1080
Explorer~Visible = .true

/* Der Explorer navigiert auf die Seite von Youtube und gibt den Songnamen ein, den der Benutzer vorhin eingegben hat*/
explorer~Navigate("https://www.youtube.com/results?search_query="songname)

Call SysSleep 3 --kurze Pause

/* Dann wird der User gebten, das genaue Video auszusuchen, damit die genaue URL übergeben werden kann*/
Say "Bitte suche das genaue Video und gibt dann die URL hier ein:"
parse pull answer

explorer~quit --Internet explorer wird geschlossen

Call SysSleep 3 --kurze Pause

/* Wird ein Object erstellt, um den Desktop Pfad eines Benutzers zu finden*/
obj = .OLEObject~new("wscript.shell")
path = obj~specialfolders("Desktop")


call SysSleep 3 --kurze Pause

/* Nutzer wird gefragt, ob er den Names des Liedes ändern will*/
Say "Willst du den Namen des Liedes aendern? (Y/N)"
parse pull answer1

/* Falls der Nutzer den Namen ändern will, kann der Benutzer dies natuerlich tun, der neue Name wird dann abgespeichert*/
if answer1 == "Y"
    then do
    Say "Wie soll die Datei heissen?"
    parse pull answer2
end

/* Falls der Benutzer den Namen nicht änder möchte, wird das Lied unter 'NoName' gespeichert*/
else if answer1 == "N"
    then do
    Say "Dann wirst du die Datei unter NoName finden!"
end

call SysSleep 3 --kurze Pause

/* Dann wird der Nutzer gefragt, ob er das Lied nach dem Download gleich öffnen will*/
Say "Willst du das Lied gleich oeffnen? (Y/N)"
parse pull answer3

/* Hier beginnt der eigentliche Download mit youtube-dl, anwer = URL und answer 2 ist der Name */
if answer1 == "Y"
    then do
    address cmd""path"\youtube-dl" answer" -x --audio-format mp3 --output "answer2".%(ext)s'"""
end

/* Hier sieht man dann, dass Lied, wenn kein Name gespeichert ist, unter NoName gespeichert wird*/
else if answer1 == "N"
    then do
    address cmd""path"\youtube-dl" answer" -x --audio-format mp3 --output 'NoName.%(ext)s'"""
end

/* Hier geht es dann darum, ob das Lied geöffnet werden soll oder nicht, wenn Y, wird das Lied natürlich geöffnet*/

if answer3 == "Y" & answer1 == "Y"
    then do
    address cmd""path"\"answer2".mp3"
end
else if answer3 == "Y" & answer1 == "N"
    then do
    address cmd""path"\NoName.mp3"
end

/* Sollte der Benutzer das Lied nicht öffnen wollen, bekommt der User nur einen Output, unter welchem Namen
 das Lied gespeichert wurde*/

else if answer3 == "N" & answer1 == "Y"
    then do
    Say "Das Lied wurde abgespeichert unter" answer2 "!"
end
else if answer3 == "N" & answer1 == "N"
    then do
    Say "Das Lied wurde abgespeichert unter NoName.mp3!"
end


-- wmPlayer = .OLEObject~New("WMPlayer.OCX.7") -- so würde man direkt WMPlayer ansteuern

